static inline uint32
swap_uint32(uint32 value)
{
	swap_data(B_UINT32_TYPE, &value, sizeof(value), B_SWAP_HOST_TO_BENDIAN);
	return value;
}

static inline uint32
get_uint32_color(rgb_color color)
{
	return swap_uint32(*reinterpret_cast<uint32 *>(&color));
}

BView::BView(BMessage *archive)
	: BHandler(archive)
{
...snip...

	rgb_color color;
	int32	colorValue;
	if (archive->FindInt32("_color", 0, &colorValue) == B_OK) {
		*reinterpret_cast<int32 *>(&color) = swap_uint32(colorValue);
		SetHighColor(color);
	}
	if (archive->FindInt32("_color", 1, &colorValue) == B_OK) {
		*reinterpret_cast<int32 *>(&color) = swap_uint32(colorValue);
		SetLowColor(color);
	}
	if (archive->FindInt32("_color", 2, &colorValue) == B_OK) {
		*reinterpret_cast<int32 *>(&color) = swap_uint32(colorValue);
		SetViewColor(color);
	}

	uint32 evMask;
	uint32 options;

...snip...
}



